diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-content/themes/twentyeleven/functions.php ./wordpress-3.4/wp-content/themes/twentyeleven/functions.php
*** ./wordpress-3.3.2/wp-content/themes/twentyeleven/functions.php	2011-12-10 13:18:51.000000000 -0600
--- ./wordpress-3.4/wp-content/themes/twentyeleven/functions.php	2012-06-04 09:43:19.000000000 -0500
***************
*** 62,71 ****
   *
   * @uses load_theme_textdomain() For translation/localization support.
   * @uses add_editor_style() To style the visual editor.
!  * @uses add_theme_support() To add support for post thumbnails, automatic feed links, and Post Formats.
   * @uses register_nav_menus() To add support for navigation menus.
-  * @uses add_custom_background() To add support for a custom background.
-  * @uses add_custom_image_header() To add support for a custom header.
   * @uses register_default_headers() To register the default custom header images provided with the theme.
   * @uses set_post_thumbnail_size() To set a custom post thumbnail size.
   *
--- 62,70 ----
   *
   * @uses load_theme_textdomain() For translation/localization support.
   * @uses add_editor_style() To style the visual editor.
!  * @uses add_theme_support() To add support for post thumbnails, automatic feed links, custom headers
!  * 	and backgrounds, and post formats.
   * @uses register_nav_menus() To add support for navigation menus.
   * @uses register_default_headers() To register the default custom header images provided with the theme.
   * @uses set_post_thumbnail_size() To set a custom post thumbnail size.
   *
***************
*** 80,90 ****
  	 */
  	load_theme_textdomain( 'twentyeleven', get_template_directory() . '/languages' );
  
- 	$locale = get_locale();
- 	$locale_file = get_template_directory() . "/languages/$locale.php";
- 	if ( is_readable( $locale_file ) )
- 		require_once( $locale_file );
- 
  	// This theme styles the visual editor with editor-style.css to match the theme style.
  	add_editor_style();
  
--- 79,84 ----
***************
*** 103,144 ****
  	// Add support for a variety of post formats
  	add_theme_support( 'post-formats', array( 'aside', 'link', 'gallery', 'status', 'quote', 'image' ) );
  
! 	// Add support for custom backgrounds
! 	add_custom_background();
  
  	// This theme uses Featured Images (also known as post thumbnails) for per-post/per-page Custom Header images
  	add_theme_support( 'post-thumbnails' );
  
! 	// The next four constants set how Twenty Eleven supports custom headers.
! 
! 	// The default header text color
! 	define( 'HEADER_TEXTCOLOR', '000' );
! 
! 	// By leaving empty, we allow for random image rotation.
! 	define( 'HEADER_IMAGE', '' );
  
! 	// The height and width of your custom header.
! 	// Add a filter to twentyeleven_header_image_width and twentyeleven_header_image_height to change these values.
! 	define( 'HEADER_IMAGE_WIDTH', apply_filters( 'twentyeleven_header_image_width', 1000 ) );
! 	define( 'HEADER_IMAGE_HEIGHT', apply_filters( 'twentyeleven_header_image_height', 288 ) );
  
  	// We'll be using post thumbnails for custom header images on posts and pages.
  	// We want them to be the size of the header image that we just defined
  	// Larger images will be auto-cropped to fit, smaller ones will be ignored. See header.php.
! 	set_post_thumbnail_size( HEADER_IMAGE_WIDTH, HEADER_IMAGE_HEIGHT, true );
! 
! 	// Add Twenty Eleven's custom image sizes
! 	add_image_size( 'large-feature', HEADER_IMAGE_WIDTH, HEADER_IMAGE_HEIGHT, true ); // Used for large feature (header) images
! 	add_image_size( 'small-feature', 500, 300 ); // Used for featured posts if a large-feature doesn't exist
! 
! 	// Turn on random header image rotation by default.
! 	add_theme_support( 'custom-header', array( 'random-default' => true ) );
! 
! 	// Add a way for the custom header to be styled in the admin panel that controls
! 	// custom headers. See twentyeleven_admin_header_style(), below.
! 	add_custom_image_header( 'twentyeleven_header_style', 'twentyeleven_admin_header_style', 'twentyeleven_admin_header_image' );
  
! 	// ... and thus ends the changeable header business.
  
  	// Default custom headers packaged with the theme. %s is a placeholder for the theme template directory URI.
  	register_default_headers( array(
--- 97,159 ----
  	// Add support for a variety of post formats
  	add_theme_support( 'post-formats', array( 'aside', 'link', 'gallery', 'status', 'quote', 'image' ) );
  
! 	$theme_options = twentyeleven_get_theme_options();
! 	if ( 'dark' == $theme_options['color_scheme'] )
! 		$default_background_color = '1d1d1d';
! 	else
! 		$default_background_color = 'f1f1f1';
! 
! 	// Add support for custom backgrounds.
! 	add_theme_support( 'custom-background', array(
! 		// Let WordPress know what our default background color is.
! 		// This is dependent on our current color scheme.
! 		'default-color' => $default_background_color,
! 	) );
  
  	// This theme uses Featured Images (also known as post thumbnails) for per-post/per-page Custom Header images
  	add_theme_support( 'post-thumbnails' );
  
! 	// Add support for custom headers.
! 	$custom_header_support = array(
! 		// The default header text color.
! 		'default-text-color' => '000',
! 		// The height and width of our custom header.
! 		'width' => apply_filters( 'twentyeleven_header_image_width', 1000 ),
! 		'height' => apply_filters( 'twentyeleven_header_image_height', 288 ),
! 		// Support flexible heights.
! 		'flex-height' => true,
! 		// Random image rotation by default.
! 		'random-default' => true,
! 		// Callback for styling the header.
! 		'wp-head-callback' => 'twentyeleven_header_style',
! 		// Callback for styling the header preview in the admin.
! 		'admin-head-callback' => 'twentyeleven_admin_header_style',
! 		// Callback used to display the header preview in the admin.
! 		'admin-preview-callback' => 'twentyeleven_admin_header_image',
! 	);
! 	
! 	add_theme_support( 'custom-header', $custom_header_support );
  
! 	if ( ! function_exists( 'get_custom_header' ) ) {
! 		// This is all for compatibility with versions of WordPress prior to 3.4.
! 		define( 'HEADER_TEXTCOLOR', $custom_header_support['default-text-color'] );
! 		define( 'HEADER_IMAGE', '' );
! 		define( 'HEADER_IMAGE_WIDTH', $custom_header_support['width'] );
! 		define( 'HEADER_IMAGE_HEIGHT', $custom_header_support['height'] );
! 		add_custom_image_header( $custom_header_support['wp-head-callback'], $custom_header_support['admin-head-callback'], $custom_header_support['admin-preview-callback'] );
! 		add_custom_background();
! 	}
  
  	// We'll be using post thumbnails for custom header images on posts and pages.
  	// We want them to be the size of the header image that we just defined
  	// Larger images will be auto-cropped to fit, smaller ones will be ignored. See header.php.
! 	set_post_thumbnail_size( $custom_header_support['width'], $custom_header_support['height'], true );
  
! 	// Add Twenty Eleven's custom image sizes.
! 	// Used for large feature (header) images.
! 	add_image_size( 'large-feature', $custom_header_support['width'], $custom_header_support['height'], true );
! 	// Used for featured posts if a large-feature doesn't exist.
! 	add_image_size( 'small-feature', 500, 300 );
  
  	// Default custom headers packaged with the theme. %s is a placeholder for the theme template directory URI.
  	register_default_headers( array(
***************
*** 201,217 ****
   * @since Twenty Eleven 1.0
   */
  function twentyeleven_header_style() {
  
! 	// If no custom options for text are set, let's bail
! 	// get_header_textcolor() options: HEADER_TEXTCOLOR is default, hide text (returns 'blank') or any hex value
! 	if ( HEADER_TEXTCOLOR == get_header_textcolor() )
  		return;
  	// If we get this far, we have custom styles. Let's do this.
  	?>
  	<style type="text/css">
  	<?php
  		// Has the text been hidden?
! 		if ( 'blank' == get_header_textcolor() ) :
  	?>
  		#site-title,
  		#site-description {
--- 216,233 ----
   * @since Twenty Eleven 1.0
   */
  function twentyeleven_header_style() {
+ 	$text_color = get_header_textcolor();
  
! 	// If no custom options for text are set, let's bail.
! 	if ( $text_color == HEADER_TEXTCOLOR )
  		return;
+ 		
  	// If we get this far, we have custom styles. Let's do this.
  	?>
  	<style type="text/css">
  	<?php
  		// Has the text been hidden?
! 		if ( 'blank' == $text_color ) :
  	?>
  		#site-title,
  		#site-description {
***************
*** 225,231 ****
  	?>
  		#site-title a,
  		#site-description {
! 			color: #<?php echo get_header_textcolor(); ?> !important;
  		}
  	<?php endif; ?>
  	</style>
--- 241,247 ----
  	?>
  		#site-title a,
  		#site-description {
! 			color: #<?php echo $text_color; ?> !important;
  		}
  	<?php endif; ?>
  	</style>
***************
*** 237,243 ****
  /**
   * Styles the header image displayed on the Appearance > Header admin panel.
   *
!  * Referenced via add_custom_image_header() in twentyeleven_setup().
   *
   * @since Twenty Eleven 1.0
   */
--- 253,259 ----
  /**
   * Styles the header image displayed on the Appearance > Header admin panel.
   *
!  * Referenced via add_theme_support('custom-header') in twentyeleven_setup().
   *
   * @since Twenty Eleven 1.0
   */
***************
*** 287,309 ****
  /**
   * Custom header image markup displayed on the Appearance > Header admin panel.
   *
!  * Referenced via add_custom_image_header() in twentyeleven_setup().
   *
   * @since Twenty Eleven 1.0
   */
  function twentyeleven_admin_header_image() { ?>
  	<div id="headimg">
  		<?php
! 		if ( 'blank' == get_theme_mod( 'header_textcolor', HEADER_TEXTCOLOR ) || '' == get_theme_mod( 'header_textcolor', HEADER_TEXTCOLOR ) )
! 			$style = ' style="display:none;"';
  		else
! 			$style = ' style="color:#' . get_theme_mod( 'header_textcolor', HEADER_TEXTCOLOR ) . ';"';
  		?>
  		<h1><a id="name"<?php echo $style; ?> onclick="return false;" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'name' ); ?></a></h1>
  		<div id="desc"<?php echo $style; ?>><?php bloginfo( 'description' ); ?></div>
! 		<?php $header_image = get_header_image();
! 		if ( ! empty( $header_image ) ) : ?>
! 			<img src="<?php echo esc_url( $header_image ); ?>" alt="" />
  		<?php endif; ?>
  	</div>
  <?php }
--- 303,326 ----
  /**
   * Custom header image markup displayed on the Appearance > Header admin panel.
   *
!  * Referenced via add_theme_support('custom-header') in twentyeleven_setup().
   *
   * @since Twenty Eleven 1.0
   */
  function twentyeleven_admin_header_image() { ?>
  	<div id="headimg">
  		<?php
! 		$color = get_header_textcolor();
! 		$image = get_header_image();
! 		if ( $color && $color != 'blank' )
! 			$style = ' style="color:#' . $color . '"';
  		else
! 			$style = ' style="display:none"';
  		?>
  		<h1><a id="name"<?php echo $style; ?> onclick="return false;" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'name' ); ?></a></h1>
  		<div id="desc"<?php echo $style; ?>><?php bloginfo( 'description' ); ?></div>
! 		<?php if ( $image ) : ?>
! 			<img src="<?php echo esc_url( $image ); ?>" alt="" />
  		<?php endif; ?>
  	</div>
  <?php }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-content/themes/twentyeleven/header.php ./wordpress-3.4/wp-content/themes/twentyeleven/header.php
*** ./wordpress-3.3.2/wp-content/themes/twentyeleven/header.php	2011-06-23 18:03:46.000000000 -0500
--- ./wordpress-3.4/wp-content/themes/twentyeleven/header.php	2012-06-04 09:43:19.000000000 -0500
***************
*** 78,97 ****
  			<?php
  				// Check to see if the header image has been removed
  				$header_image = get_header_image();
! 				if ( ! empty( $header_image ) ) :
! 			?>
  			<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
  				<?php
  					// The header image
  					// Check if this is a post or page, if it has a thumbnail, and if it's a big one
! 					if ( is_singular() &&
! 							has_post_thumbnail( $post->ID ) &&
! 							( /* $src, $width, $height */ $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), array( HEADER_IMAGE_WIDTH, HEADER_IMAGE_WIDTH ) ) ) &&
! 							$image[1] >= HEADER_IMAGE_WIDTH ) :
  						// Houston, we have a new header image!
  						echo get_the_post_thumbnail( $post->ID, 'post-thumbnail' );
! 					else : ?>
! 					<img src="<?php header_image(); ?>" width="<?php echo HEADER_IMAGE_WIDTH; ?>" height="<?php echo HEADER_IMAGE_HEIGHT; ?>" alt="" />
  				<?php endif; // end check for featured image or standard header ?>
  			</a>
  			<?php endif; // end check for removed header image ?>
--- 78,113 ----
  			<?php
  				// Check to see if the header image has been removed
  				$header_image = get_header_image();
! 				if ( $header_image ) :
! 					// Compatibility with versions of WordPress prior to 3.4.
! 					if ( function_exists( 'get_custom_header' ) ) {
! 						// We need to figure out what the minimum width should be for our featured image.
! 						// This result would be the suggested width if the theme were to implement flexible widths.
! 						$header_image_width = get_theme_support( 'custom-header', 'width' );
! 					} else {
! 						$header_image_width = HEADER_IMAGE_WIDTH;
! 					}
! 					?>
  			<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
  				<?php
  					// The header image
  					// Check if this is a post or page, if it has a thumbnail, and if it's a big one
! 					if ( is_singular() && has_post_thumbnail( $post->ID ) &&
! 							( /* $src, $width, $height */ $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), array( $header_image_width, $header_image_width ) ) ) &&
! 							$image[1] >= $header_image_width ) :
  						// Houston, we have a new header image!
  						echo get_the_post_thumbnail( $post->ID, 'post-thumbnail' );
! 					else :
! 						// Compatibility with versions of WordPress prior to 3.4.
! 						if ( function_exists( 'get_custom_header' ) ) {
! 							$header_image_width  = get_custom_header()->width;
! 							$header_image_height = get_custom_header()->height;
! 						} else {
! 							$header_image_width  = HEADER_IMAGE_WIDTH;
! 							$header_image_height = HEADER_IMAGE_HEIGHT;
! 						}
! 						?>
! 					<img src="<?php header_image(); ?>" width="<?php echo $header_image_width; ?>" height="<?php echo $header_image_height; ?>" alt="" />
  				<?php endif; // end check for featured image or standard header ?>
  			</a>
  			<?php endif; // end check for removed header image ?>
***************
*** 100,106 ****
  				// Has the text been hidden?
  				if ( 'blank' == get_header_textcolor() ) :
  			?>
! 				<div class="only-search<?php if ( ! empty( $header_image ) ) : ?> with-image<?php endif; ?>">
  				<?php get_search_form(); ?>
  				</div>
  			<?php
--- 116,122 ----
  				// Has the text been hidden?
  				if ( 'blank' == get_header_textcolor() ) :
  			?>
! 				<div class="only-search<?php if ( $header_image ) : ?> with-image<?php endif; ?>">
  				<?php get_search_form(); ?>
  				</div>
  			<?php
***************
*** 111,123 ****
  
  			<nav id="access" role="navigation">
  				<h3 class="assistive-text"><?php _e( 'Main menu', 'twentyeleven' ); ?></h3>
! 				<?php /*  Allow screen readers / text browsers to skip the navigation menu and get right to the good stuff. */ ?>
  				<div class="skip-link"><a class="assistive-text" href="#content" title="<?php esc_attr_e( 'Skip to primary content', 'twentyeleven' ); ?>"><?php _e( 'Skip to primary content', 'twentyeleven' ); ?></a></div>
  				<div class="skip-link"><a class="assistive-text" href="#secondary" title="<?php esc_attr_e( 'Skip to secondary content', 'twentyeleven' ); ?>"><?php _e( 'Skip to secondary content', 'twentyeleven' ); ?></a></div>
! 				<?php /* Our navigation menu.  If one isn't filled out, wp_nav_menu falls back to wp_page_menu. The menu assiged to the primary position is the one used. If none is assigned, the menu with the lowest ID is used. */ ?>
  				<?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
  			</nav><!-- #access -->
  	</header><!-- #branding -->
  
  
! 	<div id="main">
\ No newline at end of file
--- 127,139 ----
  
  			<nav id="access" role="navigation">
  				<h3 class="assistive-text"><?php _e( 'Main menu', 'twentyeleven' ); ?></h3>
! 				<?php /* Allow screen readers / text browsers to skip the navigation menu and get right to the good stuff. */ ?>
  				<div class="skip-link"><a class="assistive-text" href="#content" title="<?php esc_attr_e( 'Skip to primary content', 'twentyeleven' ); ?>"><?php _e( 'Skip to primary content', 'twentyeleven' ); ?></a></div>
  				<div class="skip-link"><a class="assistive-text" href="#secondary" title="<?php esc_attr_e( 'Skip to secondary content', 'twentyeleven' ); ?>"><?php _e( 'Skip to secondary content', 'twentyeleven' ); ?></a></div>
! 				<?php /* Our navigation menu. If one isn't filled out, wp_nav_menu falls back to wp_page_menu. The menu assigned to the primary location is the one used. If one isn't assigned, the menu with the lowest ID is used. */ ?>
  				<?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
  			</nav><!-- #access -->
  	</header><!-- #branding -->
  
  
! 	<div id="main">
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-content/themes/twentyeleven/inc/theme-customizer.js ./wordpress-3.4/wp-content/themes/twentyeleven/inc/theme-customizer.js
*** ./wordpress-3.3.2/wp-content/themes/twentyeleven/inc/theme-customizer.js	1969-12-31 18:00:00.000000000 -0600
--- ./wordpress-3.4/wp-content/themes/twentyeleven/inc/theme-customizer.js	2012-05-25 16:50:01.000000000 -0500
***************
*** 0 ****
--- 1,12 ----
+ ( function( $ ){
+ 	wp.customize( 'blogname', function( value ) {
+ 		value.bind( function( to ) {
+ 			$( '#site-title a' ).html( to );
+ 		} );
+ 	} );
+ 	wp.customize( 'blogdescription', function( value ) {
+ 		value.bind( function( to ) {
+ 			$( '#site-description' ).html( to );
+ 		} );
+ 	} );
+ } )( jQuery );
\ No newline at end of file
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-content/themes/twentyeleven/inc/theme-options.php ./wordpress-3.4/wp-content/themes/twentyeleven/inc/theme-options.php
*** ./wordpress-3.3.2/wp-content/themes/twentyeleven/inc/theme-options.php	2011-12-10 12:31:44.000000000 -0600
--- ./wordpress-3.4/wp-content/themes/twentyeleven/inc/theme-options.php	2012-05-26 13:44:31.000000000 -0500
***************
*** 31,46 ****
   * which is used when the option is saved, to ensure that our option values are complete, properly
   * formatted, and safe.
   *
-  * We also use this function to add our theme option if it doesn't already exist.
-  *
   * @since Twenty Eleven 1.0
   */
  function twentyeleven_theme_options_init() {
  
- 	// If we have no options in the database, let's add them now.
- 	if ( false === twentyeleven_get_theme_options() )
- 		add_option( 'twentyeleven_theme_options', twentyeleven_get_default_theme_options() );
- 
  	register_setting(
  		'twentyeleven_options',       // Options group, see settings_fields() call in twentyeleven_theme_options_render_page()
  		'twentyeleven_theme_options', // Database option, see twentyeleven_get_theme_options()
--- 31,40 ----
***************
*** 314,320 ****
  	?>
  	<div class="wrap">
  		<?php screen_icon(); ?>
! 		<h2><?php printf( __( '%s Theme Options', 'twentyeleven' ), get_current_theme() ); ?></h2>
  		<?php settings_errors(); ?>
  
  		<form method="post" action="options.php">
--- 308,315 ----
  	?>
  	<div class="wrap">
  		<?php screen_icon(); ?>
! 		<?php $theme_name = function_exists( 'wp_get_theme' ) ? wp_get_theme() : get_current_theme(); ?>
! 		<h2><?php printf( __( '%s Theme Options', 'twentyeleven' ), $theme_name ); ?></h2>
  		<?php settings_errors(); ?>
  
  		<form method="post" action="options.php">
***************
*** 446,449 ****
  
  	return array_merge( $existing_classes, $classes );
  }
! add_filter( 'body_class', 'twentyeleven_layout_classes' );
\ No newline at end of file
--- 441,531 ----
  
  	return array_merge( $existing_classes, $classes );
  }
! add_filter( 'body_class', 'twentyeleven_layout_classes' );
! 
! /**
!  * Implements Twenty Eleven theme options into Theme Customizer
!  *
!  * @param $wp_customize Theme Customizer object
!  * @return void
!  *
!  * @since Twenty Eleven 1.3
!  */
! function twentyeleven_customize_register( $wp_customize ) {
! 	$wp_customize->get_setting( 'blogname' )->transport = 'postMessage';
! 	$wp_customize->get_setting( 'blogdescription' )->transport = 'postMessage';
! 
! 	$options  = twentyeleven_get_theme_options();
! 	$defaults = twentyeleven_get_default_theme_options();
! 
! 	$wp_customize->add_setting( 'twentyeleven_theme_options[color_scheme]', array(
! 		'default'    => $defaults['color_scheme'],
! 		'type'       => 'option',
! 		'capability' => 'edit_theme_options',
! 	) );
! 
! 	$schemes = twentyeleven_color_schemes();
! 	$choices = array();
! 	foreach ( $schemes as $scheme ) {
! 		$choices[ $scheme['value'] ] = $scheme['label'];
! 	}
! 
! 	$wp_customize->add_control( 'twentyeleven_color_scheme', array(
! 		'label'    => __( 'Color Scheme', 'twentyeleven' ),
! 		'section'  => 'colors',
! 		'settings' => 'twentyeleven_theme_options[color_scheme]',
! 		'type'     => 'radio',
! 		'choices'  => $choices,
! 		'priority' => 5,
! 	) );
! 
! 	// Link Color (added to Color Scheme section in Theme Customizer)
! 	$wp_customize->add_setting( 'twentyeleven_theme_options[link_color]', array(
! 		'default'           => twentyeleven_get_default_link_color( $options['color_scheme'] ),
! 		'type'              => 'option',
! 		'sanitize_callback' => 'sanitize_hex_color',
! 		'capability'        => 'edit_theme_options',
! 	) );
! 
! 	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'link_color', array(
! 		'label'    => __( 'Link Color', 'twentyeleven' ),
! 		'section'  => 'colors',
! 		'settings' => 'twentyeleven_theme_options[link_color]',
! 	) ) );
! 
! 	// Default Layout
! 	$wp_customize->add_section( 'twentyeleven_layout', array(
! 		'title'    => __( 'Layout', 'twentyeleven' ),
! 		'priority' => 50,
! 	) );
! 
! 	$wp_customize->add_setting( 'twentyeleven_theme_options[theme_layout]', array(
! 		'type'              => 'option',
! 		'default'           => $defaults['theme_layout'],
! 		'sanitize_callback' => 'sanitize_key',
! 	) );
! 
! 	$layouts = twentyeleven_layouts();
! 	$choices = array();
! 	foreach ( $layouts as $layout ) {
! 		$choices[$layout['value']] = $layout['label'];
! 	}
! 
! 	$wp_customize->add_control( 'twentyeleven_theme_options[theme_layout]', array(
! 		'section'    => 'twentyeleven_layout',
! 		'type'       => 'radio',
! 		'choices'    => $choices,
! 	) );
! }
! add_action( 'customize_register', 'twentyeleven_customize_register' );
! 
! /**
!  * Bind JS handlers to make Theme Customizer preview reload changes asynchronously.
!  * Used with blogname and blogdescription.
!  *
!  * @since Twenty Eleven 1.3
!  */
! function twentyeleven_customize_preview_js() {
! 	wp_enqueue_script( 'twentyeleven-customizer', get_template_directory_uri() . '/inc/theme-customizer.js', array( 'customize-preview' ), '20120523', true );
! }
! add_action( 'customize_preview_init', 'twentyeleven_customize_preview_js' );
\ No newline at end of file
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-content/themes/twentyeleven/showcase.php ./wordpress-3.4/wp-content/themes/twentyeleven/showcase.php
*** ./wordpress-3.3.2/wp-content/themes/twentyeleven/showcase.php	2011-11-21 10:20:49.000000000 -0600
--- ./wordpress-3.4/wp-content/themes/twentyeleven/showcase.php	2012-06-04 09:43:19.000000000 -0500
***************
*** 66,72 ****
  					 */
  					$counter_slider = 0;
  
! 					?>
  
  				<div class="featured-posts">
  					<h1 class="showcase-heading"><?php _e( 'Featured Post', 'twentyeleven' ); ?></h1>
--- 66,77 ----
  					 */
  					$counter_slider = 0;
  
! 					// Compatibility with versions of WordPress prior to 3.4.
! 					if ( function_exists( 'get_custom_header' ) )
! 						$header_image_width = get_theme_support( 'custom-header', 'width' );
! 					else
! 						$header_image_width = HEADER_IMAGE_WIDTH;
! 				?>
  
  				<div class="featured-posts">
  					<h1 class="showcase-heading"><?php _e( 'Featured Post', 'twentyeleven' ); ?></h1>
***************
*** 89,98 ****
  						$feature_class = 'feature-image small';
  
  						// Hang on. Let's check this here image out.
! 						$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), array( HEADER_IMAGE_WIDTH, HEADER_IMAGE_WIDTH ) );
  
  						// Is it bigger than or equal to our header?
! 						if ( $image[1] >= HEADER_IMAGE_WIDTH ) {
  							// If bigger, let's add a BIGGER class. It's EXTRA classy now.
  							$feature_class = 'feature-image large';
  						}
--- 94,103 ----
  						$feature_class = 'feature-image small';
  
  						// Hang on. Let's check this here image out.
! 						$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), array( $header_image_width, $header_image_width ) );
  
  						// Is it bigger than or equal to our header?
! 						if ( $image[1] >= $header_image_width ) {
  							// If bigger, let's add a BIGGER class. It's EXTRA classy now.
  							$feature_class = 'feature-image large';
  						}
***************
*** 107,113 ****
  							 * make it a large featured post, otherwise render it small
  							 */
  							if ( has_post_thumbnail() ) {
! 								if ( $image[1] >= HEADER_IMAGE_WIDTH )
  									$thumbnail_size = 'large-feature';
  								else
  									$thumbnail_size = 'small-feature';
--- 112,118 ----
  							 * make it a large featured post, otherwise render it small
  							 */
  							if ( has_post_thumbnail() ) {
! 								if ( $image[1] >= $header_image_width )
  									$thumbnail_size = 'large-feature';
  								else
  									$thumbnail_size = 'small-feature';
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-content/themes/twentyten/comments.php ./wordpress-3.4/wp-content/themes/twentyten/comments.php
*** ./wordpress-3.3.2/wp-content/themes/twentyten/comments.php	2010-06-05 09:55:18.000000000 -0500
--- ./wordpress-3.4/wp-content/themes/twentyten/comments.php	2011-12-16 11:13:16.000000000 -0600
***************
*** 3,9 ****
   * The template for displaying Comments.
   *
   * The area of the page that contains both current comments
!  * and the comment form.  The actual display of comments is
   * handled by a callback to twentyten_comment which is
   * located in the functions.php file.
   *
--- 3,9 ----
   * The template for displaying Comments.
   *
   * The area of the page that contains both current comments
!  * and the comment form. The actual display of comments is
   * handled by a callback to twentyten_comment which is
   * located in the functions.php file.
   *
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-content/themes/twentyten/footer.php ./wordpress-3.4/wp-content/themes/twentyten/footer.php
*** ./wordpress-3.3.2/wp-content/themes/twentyten/footer.php	2010-11-18 23:37:47.000000000 -0600
--- ./wordpress-3.4/wp-content/themes/twentyten/footer.php	2011-12-16 11:13:16.000000000 -0600
***************
*** 3,9 ****
   * The template for displaying the footer.
   *
   * Contains the closing of the id=main div and all content
!  * after.  Calls sidebar-footer.php for bottom widgets.
   *
   * @package WordPress
   * @subpackage Twenty_Ten
--- 3,9 ----
   * The template for displaying the footer.
   *
   * Contains the closing of the id=main div and all content
!  * after. Calls sidebar-footer.php for bottom widgets.
   *
   * @package WordPress
   * @subpackage Twenty_Ten
